### Method

# Peas PluginInfo get_settings

since: 1.4

#### Declaration [src]

    GSettings*
    peas_plugin_info_get_settings (
      const PeasPluginInfo* info,
      const gchar* schema_id
    )

#### Description [src]

Creates a new `GSettings` for the given `schema_id` and if gschemas.compiled is not in the module directory an attempt will be made to create it.

Available since: 1.4

#### Parameters

`schema_id`

  Type: `const gchar*`

  The schema id.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GSettings`

A new `GSettings`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.